From f3971bf59f909d56291692c6cc096fc2e7e40822 Mon Sep 17 00:00:00 2001
From: Tim Niemeyer <tim.niemeyer@mastersword.de>
Date: Fri, 27 Mar 2009 17:26:18 +0100
Subject: [PATCH] remove sysfs-links on remove

Signed-off-by: Tim Niemeyer <tim.niemeyer@mastersword.de>
---
 arch/arm/plat-s3c24xx/neo1973_pm_gps.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/arch/arm/plat-s3c24xx/neo1973_pm_gps.c b/arch/arm/plat-s3c24xx/neo1973_pm_gps.c
index b5322f2..93b4911 100644
--- a/arch/arm/plat-s3c24xx/neo1973_pm_gps.c
+++ b/arch/arm/plat-s3c24xx/neo1973_pm_gps.c
@@ -764,6 +764,7 @@ static int gta01_pm_gps_remove(struct platform_device *pdev)
 			regulator_put(neo1973_gps.regulator[i]);
 		}
 #endif
+		bus_remove_device_link(&platform_bus_type, "gta01-pm-gps.0");
 		sysfs_remove_group(&pdev->dev.kobj, &gta01_gps_attr_group);
 	}
 
-- 
1.5.6.5

